Bug 145687 - UserDetails page differences
UserDetails page differences
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Ganong
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2005-01-20 12:20 EST by Michael Bowman
Modified: 2007-04-18 13:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 16:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Bowman 2005-01-20 12:20:51 EST
Description of problem:

Many small diffs in appearance...
- Company Name vs. Name
- Red stars for required fields
- Order of attributes
Comment 1 Ryan Bloom 2005-01-20 14:06:48 EST
Adding some more:

Roles aren't greyed out appropriately.
Organization Application shouldn't be on the Java page.
Role orders differ
Java code doesn't specify how role is given ([Admin access])
Comment 2 Mike McCune 2005-01-20 19:45:05 EST
All the Role related issues have been fixed in bug: 145594
Comment 3 Ryan Bloom 2005-01-21 08:56:39 EST
Nope, the roles are still displaying in a different order in perl and
java code.
Comment 4 Ken Ganong 2005-01-25 09:48:36 EST
Added Company Name and red stars.  Still need to work on created and
last log-in times to display correctly with consideration of timezone.
Comment 5 Ken Ganong 2005-02-02 16:48:57 EST
Created and last log-in times now display correctly.  User type still
isn't finished.  The user roles are displayed in a different order
than in the perl code.  Also, the perl code outputs '(normal user)'
when the user has no roles whereas the java leaves the field blank.
Comment 6 Ken Ganong 2005-02-03 16:17:05 EST
Java now outputs '(normal user)' when the user has no roles.  Ordering
or roles in perl and java are different, but both seem arbitrary so I
am closing bug.

Note You need to log in before you can comment on or make changes to this bug.